Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
wpbbmg
Posts: 83
Registered: ‎02-19-2010
My Device: Not Specified
Accepted Solution

Eclipse crash

Hello,

 

today I found out, that my Eclipse (3.5.2 with Plug in 1.1 Beta 2) crashed, when I want to see the autocomplete from a java.util.Date object.

 

Example

 

Date date = new Date();

date. *crash*

 

My eclipse close itself.

 

Anybody knew this problem and know what can solve this problem?

 

Best regards

Developer
DAquilina
Posts: 587
Registered: ‎01-19-2010
My Device: BOLD 9700 OS5.0.0.x on Rogers Canada
My Carrier: Rogers

Re: Eclipse crash

Do you think you could provide a stack trace, or event log? Maybe a code snippet? Pseudo-code really doesn't work for things like this. Is this error consistent? What device/simulator (make, OS, carrier) was being used when the crash occurred?

----------------------------------------------------------------------------
chown -R us ./base
~J!NX
BlackBerry Development Advisor
kwallis
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10

Re: Eclipse crash

Hey there.  Unfortunately this is a known issue with Eclipse and how it parses javadocs.  Soon we will be releasing updates to our BlackBerry Java Plug-in and the 5.0 SDK that should resolve this issue.  Please stay tuned for the updates coming your way.  In the meantime, please try turning off javadocs popups in Eclipse and see if that helps.

 

Thanks!

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
Developer
wpbbmg
Posts: 83
Registered: ‎02-19-2010
My Device: Not Specified

Re: Eclipse crash

thanks for this information! when can we reckon with this update?

 

Regards

BlackBerry Development Advisor
kwallis
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10

Re: Eclipse crash

Sorry that I can't give you an exact date.  :smileywink:

 

But I would say very soon...

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
BlackBerry Development Advisor
kwallis
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10

Re: Eclipse crash

As of this morning, "very soon" = "now". :smileywink:  We are really excited that the BlackBerry Java Plug-in for Eclipse v1.1 and the BlackBerry Java SDK 5.0 have been released.  Please check them out and see if your issue is resolved.  And feel free to provide feedback on the new releases.

 

Thanks!

 

http://na.blackberry.com/eng/developers/javaappdev/javaplugin.jsp

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
New Developer
mohkev
Posts: 26
Registered: ‎11-03-2009
My Device: BB Storm 2 9550 v5.0.0.713 (Platform 4.2.0.323)

Re: Eclipse crash

Fantastic, I'm looking forward to some of the enhancements! Unfortunately, it doesn't seem to solve the crash issue.

Much like the OP, I try to type out some code to invokeLater()

UiApplication.getUiApplication().i
*crash*

 

 

#include <sadness.h>

 

It does not have a problem until I press that 'i'. I guess it's back to typing that code into Textpad and copying and pasting it into Eclipse.

-Mohkev

Developer
DAquilina
Posts: 587
Registered: ‎01-19-2010
My Device: BOLD 9700 OS5.0.0.x on Rogers Canada
My Carrier: Rogers

Re: Eclipse crash

#include epicWin

 

Mohkev, you just made my day :smileyhappy:

----------------------------------------------------------------------------
chown -R us ./base
~J!NX
BlackBerry Development Advisor
kwallis
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10

Re: Eclipse crash

Hi Mohkev!  Is the project you are working in targetting the BlackBerry JRE for the latest 5.0 SDK we released today?  The fix is actually based on the Javadocs in the SDK and not the Java plug-in itself; if you are targetting the old 5.0 SDK, or an older version of the SDK (eg. 4.7 or 4.6), you may still encounter the issue (which we are also working on :smileywink:.

 

Thanks.

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
New Developer
mohkev
Posts: 26
Registered: ‎11-03-2009
My Device: BB Storm 2 9550 v5.0.0.713 (Platform 4.2.0.323)

Re: Eclipse crash

 


kwallis wrote:

Hi Mohkev!  Is the project you are working in targetting the BlackBerry JRE for the latest 5.0 SDK we released today?  The fix is actually based on the Javadocs in the SDK and not the Java plug-in itself; if you are targetting the old 5.0 SDK, or an older version of the SDK (eg. 4.7 or 4.6), you may still encounter the issue (which we are also working on :smileywink:.

 

Thanks.


 

 

You know, that is a very good question!

 

My project is based on 5.0 SDK...looks like it's 5.0.0.11 according to the jar's directory for the JRE System Library. I see the directory for the *.25, but, I'm not quite sure how to change my project to point to the new one.

 

I found a posting about changing it via the build path. However, that dropdown only shows jre6 and the 5.0.0 which points to the 5.0.0.11 directory.

 

Color me confused...

 

-Mohkev